<?php
session_start();
include ('conexion/config.php');
include ('php/funciones.php');
include ('php/funciones_clientes.php');

if (CheckSesion($_SESSION, 'emailUser') == true) {

    $IdCli = $_GET["IdCli"];
    $contacto = $_GET["contacto"];
    $tipo = "'".$_GET["tipo"]."'";
    $resultado = "'".$_GET["resultado"]."'";
    $fecha_accion = "'".$_GET["fechaAccion"]."'";
    $fecha_prox = "'".$_GET["fechaProx"]."'";
    $IdUser = $_SESSION["IdUser"];

    echo '<p>Nueva Acción</p>';    
    echo '<p>id cliente: ' . $_GET["IdCli"] . '</p>';    
    echo '<p>contacto: ' . $_GET["contacto"] . '</p>';    
    echo '<p>Tipo: ' . $_GET["tipo"] . '</p>';    
    echo '<p>Resultado: ' . $_GET["resultado"] . '</p>';    
    echo '<p>Fecha Acción: ' . $_GET["fechaAccion"] . '</p>';    
    echo '<p>Fecha Estimada: ' . $_GET["fechaProx"] . '</p>'; 
    echo '<p>id usuario: ' . $_SESSION["IdUser"] . '</p>'; 

    $queryInsertUser = ('INSERT INTO acciones(acc_idcli,acc_idcon,acc_tipo,acc_resultado,acc_fecha_accion,acc_fecha_prox,acc_iduser)     
						 VALUES ("'.$IdCli.'",'.$contacto.','. $tipo.','.$resultado.','.$fecha_accion.','.$fecha_prox.','.$IdUser.')');    
    echo $queryInsertUser;
    
    $resultInsertUser = mysqli_query($con, $queryInsertUser);
    
    /* cambiamos la categoria del cliente */ 
    $queryInsertUser2 = ('UPDATE clientes SET cli_clasif = 1 WHERE cli_id = '.$IdCli);    
    $resultInsertUser2 = mysqli_query($con, $queryInsertUser2);

    $url_cliente = 'clientes4.php?id=' . $_GET["IdCli"];

    header("Location:".$url_cliente);

} else {
    header("Location:login/login.php");
}